| Flutter macOS Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::MethodResult< T > Class Template Referenceabstract

`#include <method_result.h>`

## Public Member Functions
| MethodResult ()=default
virtual | ~MethodResult ()=default
| MethodResult (MethodResult const &)=delete
MethodResult & | operator= (MethodResult const &)=delete
void | Success (const T &result)
void | Success ()
void | Error (const std::string &error_code, const std::string &error_message, const T &error_details)
void | Error (const std::string &error_code, const std::string &error_message="")
void | NotImplemented ()

## Protected Member Functions
virtual void | SuccessInternal (const T *result)=0
virtual void | ErrorInternal (const std::string &error_code, const std::string &error_message, const T *error_details)=0
virtual void | NotImplementedInternal ()=0

## Detailed Description

### template<typename T = EncodableValue>
class flutter::MethodResult< T >

Definition at line 17 of file method_result.h.

## Constructor & Destructor Documentation

## ◆ MethodResult() [1/2]

template<typename T = EncodableValue>

flutter::MethodResult< T >::MethodResult | ( |  | ) |
| default

## ◆ ~MethodResult()

template<typename T = EncodableValue>

virtual flutter::MethodResult< T >::~MethodResult | ( |  | ) |
| virtualdefault

## ◆ MethodResult() [2/2]

template<typename T = EncodableValue>

flutter::MethodResult< T >::MethodResult | ( | MethodResult< T > const & |  | ) |
| delete

## Member Function Documentation

## ◆ Error() [1/2]

template<typename T = EncodableValue>

void flutter::MethodResult< T >::Error | ( | const std::string & | error_code,
|  | const std::string & | error_message,
|  | const T & | error_details
| ) |  |
| inline

Definition at line 41 of file method_result.h.

43 {
44 ErrorInternal(error_code, error_message, &error_details);
45 }
flutter::MethodResult::ErrorInternal
virtual void ErrorInternal(const std::string &error_code, const std::string &error_message, const T *error_details)=0

References flutter::MethodResult< T >::ErrorInternal().

Referenced by flutter::JsonMethodCodec::DecodeAndProcessResponseEnvelopeInternal(), flutter::StandardMethodCodec::DecodeAndProcessResponseEnvelopeInternal(), and flutter::TEST().

## ◆ Error() [2/2]

template<typename T = EncodableValue>

void flutter::MethodResult< T >::Error | ( | const std::string & | error_code,
|  | const std::string & | error_message = `""`
| ) |  |
| inline

Definition at line 52 of file method_result.h.

53 {
54 ErrorInternal(error_code, error_message, nullptr);
55 }

References flutter::MethodResult< T >::ErrorInternal().

## ◆ ErrorInternal()

template<typename T = EncodableValue>

virtual void flutter::MethodResult< T >::ErrorInternal | ( | const std::string & | error_code,
|  | const std::string & | error_message,
|  | const T * | error_details
| ) |  |
| protectedpure virtual

Implemented in flutter::EngineMethodResult< T >.

Referenced by flutter::MethodResult< T >::Error().

## ◆ NotImplemented()

template<typename T = EncodableValue>

void flutter::MethodResult< T >::NotImplemented | ( |  | ) |
| inline

Definition at line 59 of file method_result.h.

59 { NotImplementedInternal(); }
flutter::MethodResult::NotImplementedInternal
virtual void NotImplementedInternal()=0

References flutter::MethodResult< T >::NotImplementedInternal().

Referenced by flutter::TEST().

## ◆ NotImplementedInternal()

template<typename T = EncodableValue>

virtual void flutter::MethodResult< T >::NotImplementedInternal | ( |  | ) |
| protectedpure virtual

Implemented in flutter::MethodResultFunctions< T >, and flutter::EngineMethodResult< T >.

Referenced by flutter::MethodResult< T >::NotImplemented().

## ◆ operator=()

template<typename T = EncodableValue>

MethodResult& flutter::MethodResult< T >::operator= | ( | MethodResult< T > const & |  | ) |
| delete

## ◆ Success() [1/2]

template<typename T = EncodableValue>

void flutter::MethodResult< T >::Success | ( |  | ) |
| inline

Definition at line 33 of file method_result.h.

33 { SuccessInternal(nullptr); }
flutter::MethodResult::SuccessInternal
virtual void SuccessInternal(const T *result)=0

References flutter::MethodResult< T >::SuccessInternal().

## ◆ Success() [2/2]

template<typename T = EncodableValue>

void flutter::MethodResult< T >::Success | ( | const T & | result | ) |
| inline

Definition at line 29 of file method_result.h.

29 { SuccessInternal(&result); }

References flutter::MethodResult< T >::SuccessInternal().

Referenced by flutter::JsonMethodCodec::DecodeAndProcessResponseEnvelopeInternal(), flutter::StandardMethodCodec::DecodeAndProcessResponseEnvelopeInternal(), and flutter::TEST().

## ◆ SuccessInternal()

template<typename T = EncodableValue>

virtual void flutter::MethodResult< T >::SuccessInternal | ( | const T * | result | ) |
| protectedpure virtual

Implemented in flutter::EngineMethodResult< T >.

Referenced by flutter::MethodResult< T >::Success().

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/method_result.h